Modify

#1092 closed defect (fixed)

Can't twitter reply to own tweets

Reported by: anonymous Owned by:
Priority: normal Milestone:
Component: Twitter Version: 3.2
Keywords: twitter reply Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

When using bitlbee's twitter implementation, in channel mode, with strict command mode on, posting a tweet starting with '@username', then trying to reply to your own tweet to add more information to your own tweet in the same twitter conversation (i.e. before the other person @-replies) fails with an error that the user doesn't exist or hasn't posted any statuses recently.

Fails both when doing a "reply #nn" or "reply myusername" with the same error.

Twitter web site allows reply to ones own tweets, and if the tweet in question starts with '@someotherusername', so does the reply.

Attachments (0)

Change History (3)

comment:1 Changed at 2014-04-02T18:53:36Z by pkovac@…

I've noticed this as well. I frequently reply to myself for the purpose of continuing a train of thought.

comment:2 Changed at 2015-05-03T16:50:53Z by wilmer

[wilmer-twitter c43146d] Make replies to self work in Twitter.

Will merge that stuff soon.

comment:3 Changed at 2015-05-07T19:48:21Z by dx

Resolution: fixed
Status: newclosed

aaand that's merged

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.